#include "qad_touch_widgets.h"

#include "touchbuttframeplugin.h"
#include "touchbuttonplugin.h"
#include "touchsliderplugin.h"


QADTouchWidgets::QADTouchWidgets(QObject * parent): QObject(parent) {
	m_widgets.append(new TouchSliderPlugin(this));
	m_widgets.append(new TouchButtFramePlugin(this));
	m_widgets.append(new TouchButtonPlugin(this));
}


QList<QDesignerCustomWidgetInterface *> QADTouchWidgets::customWidgets() const {
	return m_widgets;
}


#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(qad_touch_widgets_plugin, QADTouchWidgets)
#endif
